Bug 863 - KDE 4.9.3 locale in default setting not Russian
: KDE 4.9.3 locale in default setting not Russian
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
: ROSA 2012.1 Beta2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 01:25 MSD by Postnikov Dmitry
Modified: 2012-12-04 20:38 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
KDE locale (168.93 KB, image/png)
2012-10-06 01:25 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-10-06 01:25:08 MSD
Created attachment 634 [details]
KDE locale

Description of problem:
KDE locale in default setting not Russian

See attachment
Comment 1 Postnikov Dmitry 2012-10-17 01:00:24 MSD
A similar situation is in Alpha 2 with KDE 4.9.2
Comment 2 Postnikov Dmitry 2012-10-17 17:23:56 MSD
Similarly to 499th iso image
Comment 3 Dmitry 2012-11-29 21:33:41 MSK
Advisory:
- A language of graphical interface of KDE locale settings will be set to current language if no preferred languages are chosen

Build lists:
- https://abf.rosalinux.ru/build_lists/850768
- https://abf.rosalinux.ru/build_lists/850769

Be careful: english language will be set by default if no preferred languages are chosen and there is no back way. So, if you choose preferred language, save settings (± logout) and then remove all preferred languages and save settings (± logout), you will get GUI in English.
Comment 4 Vladimir Potapov 2012-12-04 16:41:33 MSK
Hmmm... 2012.1 updates are not required QA....
Comment 5 Dmitry 2012-12-04 17:06:52 MSK
Собрано для платформы rosa2012lts
Сохранить в репозиторий rosa2012lts/main

I can't publish them.
Comment 6 Denis Silakov 2012-12-04 17:28:36 MSK
Yeah, Dmitry has built a fix for 2012 Marathon, though this bug is filed against Desktop. Usually if we have the same problem in both distros, we file separate bugs for them; for this case, it seems that we have bug #377 for Marathon. I'll just move the advisory there.

Btw, is this problem is fixed in 2012 Desktop? If not, please reopen the bug.
Comment 7 Denis Koryavov 2012-12-04 20:38:50 MSK
Yes, we fixed it for both distros.